package com.liquidnet.common.third.zxlnft.dto;

import lombok.Data;

import java.io.Serializable;

/**
 * @author AnJiabin <anjiabin@zhengzai.tv>
 * @version V1.0
 * @Description: 31.查询NFT系列声明结果 GET请求方式
 * @class: SeriesClaimResultReq
 * @Package com.liquidnet.common.third.zxlnft.dto.nft
 * @Copyright: LightNet @ Copyright (c) 2021
 * @date 2022/2/18 15:44
 */
@Data
public class Nft031SeriesClaimResultReqDto implements Serializable {
    /**
     * 平台公钥
     */
    private String platformPubKey;
    /**
     * 查询任务结果
     */
    private String taskId;

    private static final Nft031SeriesClaimResultReqDto obj = new Nft031SeriesClaimResultReqDto();
    private static final long serialVersionUID = 7874883268154992682L;

    public static Nft031SeriesClaimResultReqDto getNew() {
        try {
            return (Nft031SeriesClaimResultReqDto) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new Nft031SeriesClaimResultReqDto();
        }
    }
}
